ArgumentsMatchBuilder (jMock API Documentation)
Keywords: org.jmock.builder.ArgumentsMatchBuilder interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.builder
Interface ArgumentsMatchBuilder

All Superinterfaces:
  IdentityBuilder, MatchBuilder, StubBuilder

All Known Subinterfaces:
  NameMatchBuilder

All Known Implementing Classes:
  InvocationMockerBuilder

    public interface ArgumentsMatchBuilder

extends MatchBuilder

Since:
  1.0

Method Summary
`MatchBuilder` | `with(Constraint arg1)`
`MatchBuilder` | `with(Constraint[] argumentConstraints)`
`MatchBuilder` | `with(Constraint arg1, Constraint arg2)`
`MatchBuilder` | `with(Constraint arg1, Constraint arg2, Constraint arg3)`
`MatchBuilder` | `with(Constraint arg1, Constraint arg2, Constraint arg3, Constraint arg4)`
`MatchBuilder` | `withAnyArguments()`
`MatchBuilder` | `withNoArguments()`

Methods inherited from interface org.jmock.builder.MatchBuilder
`after, after, match`

Methods inherited from interface org.jmock.builder.StubBuilder
`isVoid, will`

Methods inherited from interface org.jmock.builder.IdentityBuilder
`id`

Method Detail

### with

    MatchBuilder with(Constraint[] argumentConstraints)

### with

    MatchBuilder with(Constraint arg1)

### with

    MatchBuilder with(Constraint arg1,
                      Constraint arg2)

### with

    MatchBuilder with(Constraint arg1,
                      Constraint arg2,
                      Constraint arg3)

### with

    MatchBuilder with(Constraint arg1,
                      Constraint arg2,
                      Constraint arg3,
                      Constraint arg4)

### withNoArguments

    MatchBuilder withNoArguments()

### withAnyArguments

    MatchBuilder withAnyArguments()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD